Skip to main content

Update a milestone

Updates the specified milestone by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Parameters​

title
string
Title of the milestone.
description
string
Description of the milestone.
start_date
string
The start date of the milestone in format Y-m-d. Must be before the due date.
due_date
string
The due date of the milestone in format Y-m-d. Must be after the start date.
visibility
enum
Visibility of the milestone. One of private, internal, shared.

Returns​

Returns the milestone object if the update succeeded. Throws an error if update parameters are invalid.

put
/api/milestones/{id}
curl -X PUT https://{workspace}.kitchen.co/api/milestones/{id} \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"archived_at": null,
"closed_at": null,
"created_at": "2024-08-20T09:34:32+00:00",
"description": "Aperiam earum saepe consequuntur aut.",
"due_date": "2024-08-27T00:00:00+00:00",
"id": "mst_9fbd4636814ff5d5ae7a23f0",
"start_date": "2024-08-20T00:00:00+00:00",
"title": "Adipisci doloribus eos possimus reprehenderit.",
"updated_at": "2024-08-20T09:34:32+00:00",
"visibility": "internal"
}